#!/bin/sh

# This file is part of MADDE
#
# Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# Contact: Juha Riihimäki <juha.riihimaki@nokia.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA

set -eu
#exec 2>> /tmp/maddev-mode.log; date >&2; pwd >&2; set -x; : ::: "$@"

LC_ALL=C LANG=C
export LC_ALL LANG

cd /usr/lib/sdk-connectivity-tool/bin

enable ()
{
	test -f /etc/network/interfaces || touch /etc/network/interfaces
	test -s /etc/developer-mode.conf ||
		sed -n '/^# cnf_/ s/# //p' "$0" > /etc/developer-mode.conf
	perl ./usb0.pl configure-usb0 previous 2>/dev/null
}

# note: postinst also uses this to create initial developer-mode.conf.

# cnf_usb0_mode='manual'
# cnf_usb0_prevmode='dhcpd'
# cnf_usb0_address='192.168.2.15'
# cnf_usb0_netmask='255.255.255.0'
# cnf_usb0_peerip='192.168.2.14'

disable ()
{
	perl ./usb0.pl configure-usb0 manual 2>/dev/null
	gconftool-2 -s /Meego/System/UsbMode --type=string ask
}

case ${1:-} in
	enable) enable ;;
	disable) disable ;;
	*) echo "Usage: $0 (enable|disable)" >&2; exit 1 ;;
esac
